Subject: Re: Highmem on PPC?

From: "Mark A. Greer" <[email-masked]>
Date: Thu, 07 Feb 2002 14:53:19 -0700

Val Henson wrote:

> Also, I don't think this was a particularly good test of highmem since
> I don't think many bounce buffers were used, or that the kernel had
> much reason to map/unmap many highmem pages.  Unfortunately, my SCSI
> controller isn't working quite right and I can't test with a hard disk
> as a result.  Any ideas for stressing the system harder?

You could try lowering max_low_mem.  You can do this by setting "Code
maturity level option"/"Prompt for advanced kernel configuration options"
and then going under where you selected HIGH_MEM and setting max_low_mem
size to something small.

It will likely take some trial and error to get it stressed enough.
You'll have to start a bunch or processes and look at where they're
getting their memory

I'd be interested in hearing how it goes.

Mark

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/